Name:          volume_key
Version:       0.3.12
Release:       1mamba
Summary:       A library for manipulating storage volume encryption keys and storing them separately from volumes
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pagure.io/volume_key
Source:        https://github.com/felixonmars/volume_key.git/volume_key-%{version}/volume_key-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libassuan-devel
BuildRequires: libblkid-devel
BuildRequires: libcryptsetup-devel
BuildRequires: libglib-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpython27-devel
BuildRequires: libpython3-devel
BuildRequires: libuuid-devel
BuildRequires: python3
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A library for manipulating storage volume encryption keys and storing them separately from volumes to handle forgotten passphrases, and the associated command-line tool.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
autoreconf -f -i

%build
%configure \
   --with-python3=%{__python3}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/volume_key
%{_mandir}/man8/volume_key.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libvolume_key.so.*
%{python27_sitearch}/_volume_key.*
%{python27_sitearch}/volume_key.py*
%{python3_sitearch}/__pycache__/volume_key.*.pyc
%{python3_sitearch}/_volume_key.*
%{python3_sitearch}/volume_key.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/volume_key
%{_includedir}/volume_key/libvolume_key.h
%{_libdir}/libvolume_key.la
%{_libdir}/libvolume_key.so
%doc ChangeLog NEWS README


%changelog
* Thu Feb 28 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.12-1mamba
- package created using the webbuild interface
